package com.jianshui.web.controller.platform;

import com.jianshui.common.core.domain.AjaxResult;
import com.jianshui.platform.dto.invoicered.RedWordSelectionDTO;
import com.jianshui.platform.dto.invoicered.RedWordDTO;
import com.jianshui.platform.service.RedInformationService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @Author: kane
 * @Description: 红字信息相关接口
 * @CreateTime: 2023-06-21  15:06
 * @Version: 1.0
 **/
@Api(tags = "红字信息相关接口")
@RestController
@RequestMapping("/platForm/redInformation")
public class RedInformationController {

    @Autowired
    private RedInformationService redInformationService;

    @ApiOperation("红字信息选择")
    @PostMapping("/redWordSelection")
    public AjaxResult redWordSelection(@RequestBody RedWordSelectionDTO redWordSelectionDTO){
        return redInformationService.redWordSelection(redWordSelectionDTO);
    }


    @ApiOperation("红字信息提交")
    @PostMapping("/redWordSubmit")
    public AjaxResult redWordSubmit(@RequestBody RedWordDTO dto){
        return redInformationService.redWordSubmit(dto);
    }
}
